# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Differences
Summary:	Test::Differences - Test strings and data structures and show differences if not ok
Summary(pl):	Test::Differences - kontrola acuchw i struktur danych z pokazywaniem rnic
Name:		perl-Test-Differences
Version:	0.46
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Text-Diff
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When the code you're testing returns multiple lines or records and
they're just plain wrong, sometimes an equivalent to the Unix diff
utility is just what's needed.

%description -l pl
Jeli testowany kod zwraca wiele linii lub rekordw, ktre s
niepoprawne, czasem przydatny jest odpowiednik uniksowego narzdzia
diff. 

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Test-Differences.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:58:53  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:36  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/03 08:39:27  marcus
- updated to 0.46

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
